import EntityInfoTemplate from 'model/EntityInfoTemplate';

// Template for displaying detailed information about entities in OpenStack.
const OPENSTACK_PROJECT_TEMPLATE: EntityInfoTemplate = {
  cloudServiceProvider: 'openstack',
  entityName: 'project',
  entityRecords: [
    {
      panelName: 'Project',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Name', name: 'name', type: 'default' },
        { labelName: 'Project ID', name: 'project_id', type: 'default' },
        { labelName: 'Description', name: 'description', type: 'default' },
        { labelName: 'Is domain', name: 'is_domain', type: 'boolean', value: ['yes', 'no'] },
        { labelName: 'Domain ID', name: 'domain_id', type: 'default' },
        { labelName: 'Enabled', name: 'enabled', type: 'boolean', value: ['yes', 'no'] },
        { labelName: 'Created', name: 'created', type: 'datetime' },
      ]
    },
    {
      panelName: 'Others',
      tableRecordList: [],
      keyValueRecords: [
        { labelName: 'Cloud service provider ID', name: 'cloud_context', type: 'default' },
      ]
    },
  ]
};

export default OPENSTACK_PROJECT_TEMPLATE;
