import EntityFormTemplate from 'model/EntityFormTemplate';

const AWS_CLOUD_SNAPSHOT_TEMPLATE: EntityFormTemplate[] = [
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'snapshot',
    actionType: 'create',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Snapshot',
        keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '' },
          { type: 'select', labelName: 'Volume ID', name: 'volume_id',
            url: '/cloud_dashboard/aws_cloud/{cloud_context}/snapshot_volume_ids',
            defaultValue: '', required: true
          },
          { type: 'default', labelName: 'Description', name: 'description', defaultValue: '' },
        ]
      }
    ]
  },
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'snapshot',
    actionType: 'delete',
    entityRecords: [
      {
        type: 'label',
        text: 'Are you sure you want to delete the {{entityName}} {{name}}?'
      },
    ],
    submitButtonLabel: 'Delete'
  },
  {
    cloudServiceProvider: 'aws_cloud',
    entityName: 'snapshot',
    actionType: 'edit',
    entityRecords: [
      {
        type: 'panel',
        panelName: 'Snapshot',
	      keyValueRecords: [
          { type: 'default', labelName: 'Name', name: 'name', defaultValue: '' },
          { type: 'default', labelName: 'Description', name: 'description', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Snapshot ID', name: 'snapshot_id', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Volume ID', name: 'volume_id', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Size (GB)', name: 'size', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Status', name: 'status', defaultValue: '', readOnly: true },
          { type: 'default', labelName: 'Progress', name: 'Progress', defaultValue: '', readOnly: true },
          { type: 'boolean', labelName: 'Encrypted', name: 'encrypted_value', defaultValue: false },
          { type: 'datetime', labelName: 'Created', name: 'created', defaultValue: 0, readOnly: true },
	      ]
      }
    ]
  },
]

export default AWS_CLOUD_SNAPSHOT_TEMPLATE;
