@minimal @ci_job
Feature: Delete the created resources as "Authenticated user"

  @api
  Scenario: Delete a security group
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I click "Refresh"
    And I should see the link "{{ security_group_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ security_group_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/security_group/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/security_group"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ security_group_name }}"

  @api
  Scenario: Delete a subnet
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I click "Refresh"
    And I should see the link "{{ subnet_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ subnet_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/subnet/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/subnet"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ subnet_name }}"

  @api @javascript
  Scenario: Delete a VPC
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I click "Refresh"
    And I should see the link "{{ vpc_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ vpc_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/vpc/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/vpc"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    # No table exists.
    # Without @javascript, the following step fails.
    And I should not see the link "{{ vpc_name }}"

  @api
  Scenario: Cannot delete an AMI image
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/image"
    And I click "Refresh"
    And I should see the link "{{ image_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ image_name }}"
    Then the url should match "/clouds/aws_cloud/{{ cloud_context }}/image/"
    And I should not see the "Delete" button

  @api
  Scenario: Delete the SSH key pair
    Given I am logged in as user "{{ user_name }}"
    When I visit "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I click "Refresh"
    And I should see the link "{{ ssh_key_name }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ ssh_key_name }}"
    And the url should match "/clouds/aws_cloud/{{ cloud_context }}/key_pair/"
    And I click "Delete" in the "actions"
    And the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/aws_cloud/{{ cloud_context }}/key_pair"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    # No table exists.
    And I should not see the link "{{ ssh_key_name }}"
