@ci_job
Feature: Confirm the refresh button works for editable resources

  @api
  Scenario Outline: Refresh the list of namespaces
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/namespace"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of deployments
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/deployment"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of pods
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/pod"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of ReplicaSets
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/replica_set"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of CronJobs
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/cron_job"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of jobs
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/job"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of services
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/service"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of network policies
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/network_policy"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of resource quotas
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/resource_quota"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of LimitRanges
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/limit_range"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of priority classes
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/priority_class"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of ConfigMaps
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/config_map"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of secrets
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/secret"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of roles
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/role"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of role bindings
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/role_binding"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of cluster roles
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/cluster_role"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of cluster role bindings
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/cluster_role_binding"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of persistent volumes
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/persistent_volume"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of persistent volume claims
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/persistent_volume_claim"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of storage classes
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/storage_class"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of StatefulSets
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/stateful_set"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of ingresses
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/ingress"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of DaemonSets
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/daemon_set"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of endpoints
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/endpoint"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of API services
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/api_service"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @api
  Scenario Outline: Refresh the list of ServiceAccounts
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/service_account"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |

  @wip # Remove @wip tag once k8s API library supports v2.
  @api
  Scenario Outline: Refresh the list of horizontal pod autoscalers
    Given I am logged in as a user with the <role> role
    When I visit "/clouds/k8s/horizontal_pod_autoscaler"
    And I click "Refresh"
    Then I should see the success message "Updated"

    Examples:
      |  role                 |
      | "Cloud administrator" |
      | "Administrator"       |
