<?php

namespace Drupal\openstack\Entity;

use Drupal\aws_cloud\Entity\Ec2\ImageInterface;
use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining an OpenStackImage entity.
 *
 * @ingroup openstack
 */
interface OpenStackImageInterface extends ImageInterface, ContentEntityInterface, EntityOwnerInterface {

  public const VISIBILITY_PRIVATE = 'private';

  public const VISIBILITY_PUBLIC = 'public';

  public const VISIBILITY_SHARED = 'shared';

  public const IMAGE_VISIBILITY = [
    self::VISIBILITY_PRIVATE => 'Private',
    self::VISIBILITY_PUBLIC => 'Public',
    self::VISIBILITY_SHARED => 'Shared',
  ];

  /**
   * {@inheritdoc}
   */
  public function getImageVisibility(): ?string;

  /**
   * {@inheritdoc}
   */
  public function setImageVisibility($image_visibility): OpenStackImageInterface;

  /**
   * {@inheritdoc}
   */
  public function getSharedProjects(): array;

  /**
   * {@inheritdoc}
   */
  public function setSharedProjects(array $shared_projects): OpenStackImageInterface;

}
