@ci_job
Feature: View the created resources for OpenStack as a "Cloud administrator"

  @api
  Scenario Outline: View the menu of OpenStack Cloud service providers
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "OpenStack" in the "nav_bar"
    When I go to "/clouds"
    Then I should get a 200 HTTP response
    And I should see the heading "Cloud service providers"
    Then I should see "Location map"
    And I should see the button "Apply"
    And I should <status> the link "Name"
    And I should <status> "Instance Pricing"
    And I should see neither error nor warning messages

    Examples:
      | role                  | status  |
      | "Authenticated user"  | not see |
      | "Cloud administrator" | see     |

  @api
  Scenario Outline: View the list of OpenStack resources
    Given I am logged in as a user with the <role> role
    And I should see the link "All" in the "nav_bar"
    And I should see the link "OpenStack" in the "nav_bar"
    When I go to "/clouds/openstack/instance"
    Then I should get a 200 HTTP response
    And I should see the heading "All OpenStack instances"
    And I should see the button "Apply"
    And I should see the link "Instances"

    Examples:
      | role                  |
      | "Authenticated user"  |
      | "Cloud administrator" |
