@minimal @ci_job
Feature: Create, read, update, and delete a role for OpenStack as an "administrator"

  @api
  Scenario: Create a role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/openstack/{{ cloud_context }}/role/add"
    And I should see the heading "Add OpenStack role"
    And I enter "{{ role_name_operate }}" for "Name"
    And I enter "{{ description }}" for "Description"
    And I press "Save"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/role"
    And I should see the success message "has been created"
    And I should see neither error nor warning messages
    And I should see the link "{{ role_name_operate }}" in the table

  @api
  Scenario Outline: Read the role as a user and administrator
    Given I am logged in as <role>
    When I visit "/clouds/openstack/{{ cloud_context }}/role"
    And I should see the link "{{ role_name_operate }}"
    And I should see "{{ description }}" in the "{{ role_name_operate }}" row
    And I wait {{ wait }} milliseconds
    And I click "{{ role_name_operate }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/role/"
    And I should see "{{ role_name_operate }}" in the "page_header"
    And I should see "{{ role_name_operate }}" in the "Name"
    And I should see "{{ description }}" in the "Description"
    And I should see neither error nor warning messages

    Examples:
      | role                                 |
      | user "{{ drupal_user_name }}"        |
      | a user with the "Administrator" role |

  @api
  Scenario: Update the role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/openstack/{{ cloud_context }}/role"
    And I click "Refresh"
    And I should see the link "{{ role_name_operate }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ role_name_operate }}"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/role/"
    And I click "Edit" in the actions
    And the url should match "/edit"
    And I enter "{{ role_name_operate_updated }}" for "Name"
    And I enter "{{ description_updated }}" for "Description"
    And I press "Save"
    Then the url should match "/clouds/openstack/{{ cloud_context }}/role"
    Then I should see the success message "has been updated"
    And I should see neither error nor warning messages
    And I should see the link "{{ role_name_operate_updated }}" in the table
    And I should see "{{ description_updated }}" in the "{{ role_name_operate_updated }}" row
    And I should not see the link "{{ role_name_operate }}" in the table

  @api
  Scenario: Delete the role
    Given I am logged in as a user with the "Administrator" role
    When I visit "/clouds/openstack/{{ cloud_context }}/role"
    And I click "Refresh"
    And I should see the link "{{ role_name_operate_updated }}"
    And I wait {{ wait }} milliseconds
    And I click "{{ role_name_operate_updated }}"
    And the url should match "/clouds/openstack/{{ cloud_context }}/role/"
    And I click "Delete" in the actions
    Then the url should match "/delete"
    And I press "Delete"
    Then I should be on "/clouds/openstack/{{ cloud_context }}/role"
    And I should see the success message "has been deleted"
    And I should see neither error nor warning messages
    And I click "Refresh"
    And I should not see the link "{{ role_name_operate_updated }}"
